from abc import ABC, abstractmethod
from typing import List


# 策略
class Strategy(ABC):

    @abstractmethod
    def crawl(self, data: List):
        pass

# TODO 不同平台 不同策略
class XiaoniangaoHomePageStrategy(Strategy):
    def crawl(self, data: List) -> List:
        # 具体逻辑
        return data


class XiguaHomePageStrategy(Strategy):
    def crawl(self, data: List) -> List:
        # 具体逻辑
        return data


class ShipinhaoHomePageStrategy(Strategy):
    def crawl(self, data: List) -> List:
        # 具体逻辑
        return data
